Grants, vesting & distributions

Create Bulk Lockups

Replaces each grant's lockup schedule from rows, validating sequences and totals, then generates unlock schedules.

POSThttps://api.toku.com/tga/create-bulk-lockups

Not available to API keys yet. It will need grants:write.

curl --request POST \
  --url 'https://api.toku.com/tga/create-bulk-lockups' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '[
  {
    "grantID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "sequenceNumber": 0,
    "unlockDate": "2026-01-01T00:00:00Z"
  }
]'
200 response
{
  "isTotalSuccess": true,
  "results": [
    {
      "success": true,
      "grantID": "string",
      "sequenceNumber": 0,
      "messages": [
        "string"
      ]
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

grantIDstring<uuid>required
sequenceNumberintegerrequired

Allowed: 0 to 10000

unlockDatestring<date-time>required
unlockPercentageany | string | number
unlockAmountany | string | number

Response

200Successful response
isTotalSuccessbooleanrequired
resultsobject[]required
Show child attributes
successbooleanrequired
grantIDstringrequired
sequenceNumbernumber | nullrequired
messagesstring[]required
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits